package com.goafanti.expenseAccount.bo;

import com.goafanti.common.model.ExpenseAccount;

import java.math.BigDecimal;


public class OutExpenseAccount extends ExpenseAccount {

    private String createTimeStr;
    private String releaseStartStr;
    private String releaseEndStr;
    private String applyDepName;
    private String payDepName;
    private String contractNo;
    private String buyerName;
    private BigDecimal debitTotalAmount;
    private String name;
    private String bank;
    private String accounts;
    private Integer examine;
    private Integer publicReleaseType;

    public Integer getPublicReleaseType() {
        return publicReleaseType;
    }

    public void setPublicReleaseType(Integer publicReleaseType) {
        this.publicReleaseType = publicReleaseType;
    }

    public Integer getExamine() {
        return examine;
    }

    public void setExamine(Integer examine) {
        this.examine = examine;
    }

    public BigDecimal getDebitTotalAmount() {
        return debitTotalAmount;
    }

    public BigDecimal getSettlementAmount() {
        if (super.getSettlementAmount()==null)return new BigDecimal(0);
        return super.getSettlementAmount();
    }

    public void setDebitTotalAmount(BigDecimal debitTotalAmount) {
        this.debitTotalAmount = debitTotalAmount;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getAccounts() {
        return accounts;
    }

    public void setAccounts(String accounts) {
        this.accounts = accounts;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getReleaseStartStr() {
        return releaseStartStr;
    }

    public void setReleaseStartStr(String releaseStartStr) {
        this.releaseStartStr = releaseStartStr;
    }

    public String getReleaseEndStr() {
        return releaseEndStr;
    }

    public void setReleaseEndStr(String releaseEndStr) {
        this.releaseEndStr = releaseEndStr;
    }

    public String getApplyDepName() {
        return applyDepName;
    }

    public void setApplyDepName(String applyDepName) {
        this.applyDepName = applyDepName;
    }

    public String getPayDepName() {
        return payDepName;
    }

    public void setPayDepName(String payDepName) {
        this.payDepName = payDepName;
    }
}
